Eigene Domains
GET https://profyler.de/api/domains/
curl --request GET \
--url 'https://profyler.de/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://profyler.de/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional Zeichenkette | Die Suchzeichenkette |
| search_by | Optional Zeichenkette | Nach welchem Feld suchen Sie? Erlaubte Werte sind: host |
| is_enabled | Optional Boolean | |
| datetime_field | Optional Zeichenkette | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional Zeichenkette | Filtere Ergebnisse beginnend ab diesem Datum und dieser Uhrzeit. Y-m-d H:i:s Format. |
| datetime_end | Optional Zeichenkette | Filterergebnisse bis zu diesem Datum/Uhrzeit. Y-m-d H:i:s-Format. |
| order_by | Optional Zeichenkette | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: domain_id, datetime, last_datetime, host |
| order_type | Optional Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional Integer | Die Seitenzahl, von der du Ergebnisse erhalten möchtest. Standardmäßig auf 1 gesetzt. |
| results_per_page | Optional Integer | Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig auf 25 gesetzt. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-16 05:40:54",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://profyler.de/api/domains?page=1",
"last": "https://profyler.de/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://profyler.de/api/domains?page=1"
}
}
GET https://profyler.de/api/domains/{domain_id}
curl --request GET \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-16 05:40:54",
}
}
POST https://profyler.de/api/domains
| Parameter | Details | Beschreibung |
|---|---|---|
| host | Erforderlich Zeichenkette | - |
| custom_index_url | Optional Zeichenkette | - |
| custom_not_found_url | Optional Zeichenkette | - |
curl --request POST \
--url 'https://profyler.de/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://profyler.de/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://profyler.de/api/domains/{domain_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| host | Optional Zeichenkette | - |
| custom_index_url | Optional Zeichenkette | - |
| custom_not_found_url | Optional Zeichenkette | - |
curl --request POST \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://profyler.de/api/domains/{domain_id}
curl --request DELETE \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://profyler.de/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \